/**
 * 用于跑测试的工程
 * ebike相关类使用说明
 */

/**
 * 1. 引用xcdsutils
 */
const XCEBike = require('./../index.js');

/**
 * 2. 配置自己工程的数据库和Redis
 */
const gSequelize = require('./XCDBUtils').gSequelize;
const {
  xcRedis
} = require('./XCEBikeRedis');

XCEBike.config(xcRedis, gSequelize);


/**
 * 3. 暴露需要的类，也可以直接暴露XCEBike
 * 
 */

module.exports = XCEBike;


//测试

(async() => {

  // ret = await xcRedis.config('SET', 'notify-keyspace-events', 'Ex');
  // console.log('config result:', ret);

  // setTimeout(() => {

  //   (async() => {
  //     let usr = new XCEBike.XCEBikeUser('dhjek3r3ewr3');
  //     await usr.setBookingImei('865067022403441');
  //     console.log('booking imei:', await usr.getBookingImei());
  //     console.log('user state', await usr.getState());
  //     console.log('booking sum:', await XCEBike.XCEBikeUser.bookingUserCount(2));

  //   })()

  // }, 3000)

  // setTimeout(() => {
  //   (async() => {
  //     let usr = new XCEBike.XCEBikeUser('dhjek3r3ewr3');
  //     console.log('booking imei:', await usr.getBookingImei());
  //     console.log('booking sum:', await XCEBike.XCEBikeUser.bookingUserCount(2));

  //   })()
  // }, 9000);


    let gfence = await XCEBike.XCEBikeGFence.instanceFromRedis(2, 1);
    if(!gfence){
      gfence = new XCEBike.XCEBikeGFence({
        type:XCEBike.XCEBikeGFence.GFENCE_TYPE.atService,
        agentId:2,
        pointList:JSON.stringify([{lat:1,lng:1},{lat:2,lng:2}]),
        gFenceId:1
      })
      let ret = await gfence.save2Redis();
      console.log('save ret', ret);
      gfence = await XCEBike.XCEBikeGFence.instanceFromRedis(2, 1);
    }

    console.log('gFence:', gfence);

    gfence.centerLat = 3;
    gfence.centerLng = 4;
    await gfence.save2Redis();

    gfence = await XCEBike.XCEBikeGFence.instanceFromRedis(2, 1);

    console.log('gFence:', gfence);

    



})();